> ## Documentation Index
> Fetch the complete documentation index at: https://polos.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new project



## OpenAPI

````yaml api-reference/endpoints/projects/api-reference/openapi.json post /api/v1/projects
openapi: 3.1.0
info:
  title: Polos Orchestrator API
  description: API for the Polos durable execution platform for AI agents
  contact:
    name: Polos Team
    url: https://github.com/polos-dev/polos
  license:
    name: ''
  version: 1.0.0
servers:
  - url: /
    description: Current server
security: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Projects
    description: Project management endpoints
  - name: Agents
    description: Agent definition management
  - name: Tools
    description: Tool definition management
  - name: Workflows
    description: Workflow management
  - name: Executions
    description: Workflow execution management
  - name: Traces
    description: Observability traces
  - name: Events
    description: Event publishing and streaming
  - name: Event Triggers
    description: Event-based workflow triggers
  - name: Schedules
    description: Scheduled workflow execution
  - name: Workers
    description: Worker registration and management
  - name: Deployments
    description: Deployment management
paths:
  /api/v1/projects:
    post:
      tags:
        - Projects
      summary: Create a new project
      operationId: create_project
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectRequest'
        required: true
      responses:
        '200':
          description: Project created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
        - cookie_auth: []
components:
  schemas:
    CreateProjectRequest:
      type: object
      description: Request to create a new project
      required:
        - name
      properties:
        description:
          type:
            - string
            - 'null'
          description: Optional project description
        name:
          type: string
          description: Project name
    ProjectResponse:
      type: object
      description: Project details response
      required:
        - id
        - name
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          description: Creation timestamp (RFC3339)
        description:
          type:
            - string
            - 'null'
          description: Optional project description
        id:
          type: string
          description: Project ID
        name:
          type: string
          description: Project name
        updated_at:
          type: string
          description: Last update timestamp (RFC3339)
    ErrorResponse:
      type: object
      description: Standard error response
      required:
        - error
        - error_type
      properties:
        error:
          type: string
          description: Human-readable error message
        error_type:
          type: string
          description: Machine-readable error type code
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
    cookie_auth:
      type: apiKey
      in: cookie
      name: polos_auth

````